Amazon เปิดตัว Linux AMI 2015.09 อัพ Kernel และรองรับ Database รุ่นใหม่ขึ้น

Amazon ประกาศเปิดตัว Amazon Linux AMI รุ่น 2015.09 บน Amazon EC2 แล้ว ทั้งนี้ Amazon ก็เชิญชวนให้ผู้ใช้งานทำการอัพเกรดขึ้นเป็นรุ่นใหม่ และสำหรับการเปิดเคสกับทาง AWS Support บางกรณี ผู้ใช้งานก็อาจถูกร้องขอให้อัพเกรดเป็น AMI 2015.09 ก่อนทำการสนับสนุนเช่นกัน โดยวิธีการอัพเดตนั้นก็สามารถทำได้ง่ายๆ เพียงแค่ sudo yum update และ reboot 1 ครั้งเท่านั้น

AWS

 

สำหรับฟีเจอร์ใหม่ๆ ที่รองรับ มีดังนี้

  • Kernel 4.1.7 เป็น long-term stable release ล่าสุดที่รองรับ OverlayFS
  • Amazon Aurora JDBC Driver สำหรับเชื่อมต่อกับ Amazon Aurora และ MariaDB โดยสามารถเชื่อมต่อกับ Aurora หลายๆ Node เพื่อทำ Fast Failover ได้ ติดตั้งโดยการทำ sudo yum install mariadb-connector-java
  • Samba สำหรับ Join AWS Instance เข้ากับ AWS Directory Service โดยรองรับ Samba 4.1 ติดตั้งโดยการ sudo yum install samba
  • PosgreSQL 9.2-9.4.4 AWS มี Repository ให้ตั้งแต่รุ่น 9.2-9.4.4
  • MySQL 5.6 AWS มี Repositories ให้ตั้งแต่รุ่น 5.1, 5.5 และ 5.6
  • Docker 1.7.1 และ Go 1.4
  • Cloud HSM CLI สำหรับผู้ที่ใช้ Dedicated Hardware Security Module ก็สามารถจัดการ Key และการเข้ารหัสผ่าน CLI ได้แล้ว
  • มี Preview สำหรับ PyPY (Python), OpenLDAP, Rust 1.2
  • เลิกออกอัพเดตสำหรับ GPU AMI บน CG1 โดยแนะนำให้ย้ายไปใช้ Graphics AMI แทน
  • ปิด System Call Auditing เป็น Default
  • มี Package ใหม่จำนวนมาก
  • อัพเดตตาราง Support Instance Type https://aws.amazon.com/amazon-linux-ami/instance-type-matrix/

ข้อมูลเพิ่มเติม https://aws.amazon.com/amazon-linux-ami/2015.09-release-notes/

ที่มา: https://aws.amazon.com/amazon-linux-ami/2015.09-release-notes/

Facebook Comments